package types

import "fmt"

// MakoError represents an error in Mako code
type MakoError struct {
	Message string
	Line    int
	Column  int
}

func (e MakoError) Error() string {
	return fmt.Sprintf("[%d:%d] %s", e.Line, e.Column, e.Message)
}

// NewError creates a new MakoError
func NewError(message string, line, column int) *MakoError {
	return &MakoError{
		Message: message,
		Line:    line,
		Column:  column,
	}
}
